using System.Collections.Generic;
using Assets.Common;
using Assets.Voronoi;
using UnityEngine;

namespace Assets.Map
{
    public class Location
    {
        public List<LocationSite> Sites = new List<LocationSite>();
        public List<int> BoundaryPoints = new List<int>();
        public List<(int, int)> BoundaryEdges = new List<(int, int)>();
        
        public LocationType Type;
    }
    
    public class LocationSite
    {
        public readonly Site Site;
        public Location Location;

        public LocationSite(Site site)
        {
            Site = site;
        }
    }
}